<script lang="ts" setup>
import { faChess } from '@fortawesome/free-solid-svg-icons';
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome';
import type { IGame } from '~/models/game/game.type.js';
const props = defineProps({
  games: Array<IGame>,
})

const headers = [
  // 'Date', 
  'Titre', 
  'Tournoi', 
  // 'Adversaire', 
  'Elo', 
  'Résultat', 
  'Partie']
</script>

<template>
  <div class="max-w-full overflow-x-auto rounded-md">
    <table class="w-full shadow-md overflow-x-auto max-w-100%">
      <thead class="p-4 m-4 mt-8 bg-contrast bg-opacity-50">
        <tr>
          <th class="mt-4 py-4" v-for="header in headers" :key="header">{{ header }}</th>
        </tr>
      </thead>
      <tbody class="bg-contrast bg-opacity-20 text-xs">
        <tr v-for="game in games" :key="game.opponent" class="text-center">
          <!-- <td class="py-4">{{ game.date.format('DD-MM-YYYY') }}</td> -->
          <td>{{ game.title }}</td>
          <td class="w-1/4"><NuxtLink :to="game.path.slice(0, game.path.lastIndexOf('/'))">{{ game.tournament }}</NuxtLink></td>
          <!-- <td>{{ game.opponent }}</td> -->
          <td class="font-bold">{{ game.opponent_rating }}</td>
          <td class="w-[10%] sm:w-1/6"><ResultBlock :result="game.result" no-text/></td>
          <td>
            <UiButton :href="game.path"><FontAwesomeIcon :icon="faChess"></FontAwesomeIcon></UiButton>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<style scoped></style>